import { injectable } from 'inversify';
import { inject } from '../../core/inject';
import { FileAppWindow } from './file-app-window';

@injectable()
export class MainAppWindow extends FileAppWindow {
  public constructor(@inject('logger') logger: LoggerInterface) {
    super(logger, 'frontend/index.html', {
      webPreferences: {
        nodeIntegration: true,
      },
    });
  }
}
